Loading...
Searching...
No Matches
osmo_sccp_gt Struct Reference

`#include <sccp_sap.h>`

## Data Fields

uint8_t | gti
uint8_t | tt
uint32_t | npi
uint32_t | nai
char | digits [32]

## Field Documentation

## digits

char osmo_sccp_gt::digits[32]

Referenced by DEFUN(), DEFUN_ATTR(), osmo_sccp_addr_encode(), osmo_sccp_addr_parse(), osmo_sccp_gt_dump(), sua_parse_gt(), write_sccp_addressbook(), and xua_part_add_gt().

## gti

uint8_t osmo_sccp_gt::gti

Referenced by DEFUN(), DEFUN_ATTR(), osmo_sccp_addr_dump(), osmo_sccp_addr_encode(), osmo_sccp_addr_parse(), osmo_sccp_check_addr(), osmo_sccp_gt_dump(), sccp_addr_to_str_buf(), sua_parse_gt(), write_sccp_addressbook(), and xua_part_add_gt().

## nai

uint32_t osmo_sccp_gt::nai

Referenced by DEFUN(), DEFUN_ATTR(), osmo_sccp_addr_encode(), osmo_sccp_addr_parse(), osmo_sccp_check_addr(), osmo_sccp_gt_dump(), sua_parse_gt(), write_sccp_addressbook(), and xua_part_add_gt().

## npi

uint32_t osmo_sccp_gt::npi

Referenced by DEFUN(), DEFUN_ATTR(), osmo_sccp_addr_encode(), osmo_sccp_addr_parse(), osmo_sccp_check_addr(), osmo_sccp_gt_dump(), sua_parse_gt(), write_sccp_addressbook(), and xua_part_add_gt().

## tt

uint8_t osmo_sccp_gt::tt

Referenced by DEFUN(), DEFUN_ATTR(), osmo_sccp_addr_encode(), osmo_sccp_addr_parse(), osmo_sccp_gt_dump(), sua_parse_gt(), write_sccp_addressbook(), and xua_part_add_gt().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/sccp_sap.h